package com.fs.store.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.store.domain.FsUserExtract;
import com.fs.store.param.FsUseDoExtractParam;
import com.fs.store.param.FsUseExtractQueryParam;
import com.fs.store.vo.FsUserExtractVO;

/**
 * 用户提现Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsUserExtractService 
{
    /**
     * 查询用户提现
     * 
     * @param id 用户提现ID
     * @return 用户提现
     */
    public FsUserExtract selectFsUserExtractById(Long id);

    /**
     * 查询用户提现列表
     * 
     * @param fsUserExtract 用户提现
     * @return 用户提现集合
     */
    public List<FsUserExtract> selectFsUserExtractList(FsUserExtract fsUserExtract);

    /**
     * 新增用户提现
     * 
     * @param fsUserExtract 用户提现
     * @return 结果
     */
    public int insertFsUserExtract(FsUserExtract fsUserExtract);

    /**
     * 修改用户提现
     * 
     * @param fsUserExtract 用户提现
     * @return 结果
     */
    public int updateFsUserExtract(FsUserExtract fsUserExtract);

    /**
     * 批量删除用户提现
     * 
     * @param ids 需要删除的用户提现ID
     * @return 结果
     */
    public int deleteFsUserExtractByIds(Long[] ids);

    /**
     * 删除用户提现信息
     * 
     * @param id 用户提现ID
     * @return 结果
     */
    public int deleteFsUserExtractById(Long id);

    R doExtract(FsUseDoExtractParam param);

    List<FsUserExtractVO> selectFsUserExtractListVOQuery(FsUseExtractQueryParam param);
}
